

#include "YourActionInitialization.hh"

#include "YourPrimaryGeneratorAction.hh"

#include "YourRunAction.hh"
#include "YourEventAction.hh"
#include "YourSteppingAction.hh"


YourActionInitialization::YourActionInitialization(YourDetectorConstruction* det) 
 : G4VUserActionInitialization(), 
   fDetector(det) {
}

YourActionInitialization::~YourActionInitialization() {}


void YourActionInitialization::BuildForMaster() const {
   SetUserAction (  new YourRunAction(fDetector, nullptr)  );
}


void YourActionInitialization::Build() const {
   // construct and set our primary generator action
   YourPrimaryGeneratorAction* primaryAction = new YourPrimaryGeneratorAction(fDetector);
   SetUserAction(primaryAction);

   // optinal user actions
   SetUserAction (  new YourRunAction(fDetector, primaryAction)  );
   
   YourEventAction* evtAct = new YourEventAction();
   SetUserAction(evtAct);

   SetUserAction( new YourSteppingAction(fDetector, evtAct) );
   
  

}
