
#include "YourEventAction.hh"


#include "YourRun.hh"
#include "G4RunManager.hh"

YourEventAction::YourEventAction() 
: G4UserEventAction(){
  fEdepPerEvent = 0.0;
  fCHLPerEvent  = 0.0;
}


YourEventAction::~YourEventAction() {}


void YourEventAction::BeginOfEventAction(const G4Event* /*evt*/) {
  fEdepPerEvent = 0.0;
  fCHLPerEvent  = 0.0;   
}


void YourEventAction::EndOfEventAction(const G4Event* /*evt*/) {
    YourRun* run = static_cast< YourRun* >(  G4RunManager::GetRunManager()->GetNonConstCurrentRun() );

    run->AddEnergyDepositPerEvent(fEdepPerEvent);
    run->AddChTrackLengthPerEvent(fCHLPerEvent);

    run->FillEdepHistogram(fEdepPerEvent);
}


